Changelog for TIGCC For Linux

- 2006-10-31, version 0.96 beta 8 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 8 source tree.
        * Binaries now built on Fedora Core 6.
        * Make installed symlinks relative so the installation relocates
          correctly.

- 2006-07-30, version 0.96 beta 7 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 7 source tree.
        * Updated import scripts to use a separate CVS checkout.
        * Removed empty "ide" directory, KTIGCC will be distributed separately.
        * TIGCC/*nix is now in CVS too.
        * Fixed compilation on BSD (use GNU make) (patch by Jona Joachim).
        * Don't symlink os.h to OS.h on case-insensitive file systems.
        * Split the TIGCC Tools Suite (except ExePack support) into a separate
          package (on ticalc.org).
        * ExePack support is now Free Software (LGPL).
        * tigcc -ar now doesn't include the original names of the object files,
          because ld-tigcc doesn't use them anyway and file names in ar archives
          are subject to length constraints. (The Win32 tigcc.exe does the
          same.)
        * Fixed external data variable support for compressed programs in tigcc
          (now uses the new ld-tigcc --outputbin-main-only switch).
        * Fixed multiple uses of -Wa or -WA in the tigcc frontend (fixes
          pedrom-ld-tigcc build).
        * Fixed compilation of ld-tigcc with Apple GCC (needs
          -fnested-functions from XCode 2.3 on). Added note that XCode 2.2 and
          2.2.1 are not supported and will not work.
        * Updated build scripts for the GCC update.
        * Updated installation instructions for the GCC update.
        * Fixed deprecated "tail" syntax in dcf2adp.
        * Binaries now built on Fedora Core 5.

- 2005-10-02, version 0.96 beta 6 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 6 source tree.
        * Updated installation instructions for the GCC update.
        * Added support for -isystem in the command-line compiler.

- 2005-07-02, version 0.96 beta 5 r1 (Kevin Kofler)
        * Updated build system to Fedora Core 4.
        * Fixed package_bin and updatedoc scripts for FC4 tar.
        * Synced Win32 TIGCC 0.96 Beta 5 source tree.
        * Updated build scripts for the Binutils update.
        * Updated installation instructions for the GCC and Binutils updates.
        * Using type (bash builtin) instead of which (broken on OS X) in the
          installation wizards.
        * Using $CC -v rather than $CC --version to check for Apple GCC because
          the --version output doesn't always contain "Apple" for some reason.

- 2005-04-30, version 0.96 beta 4 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 4 source tree.
        * Ported patcher .ascii "_ROM_CALL_nnn" fix from Win32 TIGCC.
        * Changed tigcc -g to use DWARF 2 debugging info instead of parser.
        * Deleted parser.
        * Fixed the default output name in the tigcc frontend.

- 2005-03-24, version 0.96 beta 3 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 3 source tree.
        * Build system for the binaries upgraded to Fedora Core 3.
        * Updated build scripts for GCC 4.0.0 (prerelease).
        * Added -fomit-frame-pointer to default CFLAGS.
        * Fixed Apple GCC test to actually probe the chosen $CC, not "gcc".

- 2005-02-09, version 0.96 beta 2 r1 (Kevin Kofler)
        * Synced Win32 TIGCC 0.96 Beta 2 source tree.

- 2005-02-02, version 0.96 beta 1 r1 (Kevin Kofler)
        * Reorganized source tree slightly and wrote an import script for the
          Win32 TIGCC CVS tree.
        * Updated GNU as to 2.15.
        * Synced Win32 TIGCC 0.96 Beta 1 source tree.
        * Updated A68k to 2.71.F3u (fixes build with GCC 3.4).
        * Fixed ld-tigcc reorder.c build with GCC 2.95/2.96.
        * Using gcc34 -static-libgcc -Wdeclaration-after-statement instead of
          GCC 2.96-rh to compile the binary.

- 2004-11-13, version 0.95 r3 (Kevin Kofler)
        * Fixed 0.95 r2 regression in the tigcc frontend: now works properly
          again if no -Wa and/or -WA switch is used.

- 2004-10-31, version 0.95 r2 (Kevin Kofler)
        * Fixed verbosity switches in the tigcc frontend.
        * Fixed handling of -Wa and -WA in the tigcc frontend.

- 2004-10-25, version 0.95 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95.

- 2004-10-16, version 0.95 beta 20 r1 (Kevin Kofler)
        * Added scripts (regendoc.sh for Windows, updatedoc for Linux) to
          automate the importing of the documentation.
        * Updated TIGCCLIB (documentation and includes) to TIGCC 0.95 Beta 20.
        * Updated ld-tigcc to 1.06.6 from TIGCC 0.95 Beta 20.
        * Updated GCC to 3.3.3-tigcc-8.
        * The install scripts no longer try to use X11-based dialog utilities
          if no X11 connection is open.
        * The install scripts now also work without a dialog program (by
          presenting a simple bash-based interface). Set $DIALOG to "none" to
          force this mode even if a dialog program is detected.

- 2004-09-23, version 0.95 beta 19 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95
          Beta 19.
        * Updated ld-tigcc to 1.06.5 from TIGCC 0.95 Beta 19.
        * Updated GNU as to 2.14-tigcc-11.
        * Updated A68k to 2.71.F3s.
        * Updated tprbuilder to 1.0.13.
        * Fixed handling of multiple patches on the same line in patcher.
        * The tigcc frontend now deletes leftover "-titanium" launchers when
          rebuilding (relinking) a compressed program.
        * tigcc --version now displays the TIGCC version.

- 2004-09-06, version 0.95 beta 17 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95
          Beta 17.
        * Updated the ExePack launcher (pstarter.o) to ttstart-universal 1.21
          (TIGCC 0.95 Beta 17). Dropped no longer needed pstarter-titanium.o.
          Changed tigcc frontend accordingly.
        * Updated ld-tigcc to 1.06.3 from TIGCC 0.95 Beta 17.
        * Updated GNU as to 2.14-tigcc-10.
        * The patcher now deletes any :w or (%pc) addressing for ROM_CALLs
          which may be generated by the compiler for -mpcrel.

- 2004-08-10, version 0.95 beta 16 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs and includes) to TIGCC 0.95 Beta 16.
        * Updated the ExePack launchers (pstarter*.o) to the fixed ttstart
          1.21 in TIGCC 0.95 Beta 16.
        * Updated ld-tigcc to 1.06.2 from TIGCC 0.95 Beta 16.
        * Updated GCC to 3.3.3-tigcc-7.
        * Updated GNU as to 2.14-tigcc-9.
        * Fixed handling of keyword disambiguators in chm2dcf.

- 2004-08-06, version 0.95 beta 15 r1 (Kevin Kofler)
        * Updated TIGCCLIB (documentation and includes) to TIGCC 0.95 Beta 15.
        * Updated the ExePack launchers (pstarter*.o) to ttstart 1.21.
        * Updated ld-tigcc to 1.06.1 from TIGCC 0.95 Beta 15.
        * Updated GCC to 3.3.3-tigcc-6.
        * Updated GNU as to 2.14-tigcc-8.
        * Updated tprbuilder to 1.0.12.
        * Added support for string/constant merging to the tigcc frontend.
        * The packaging scripts (package_*) now scan the distribution folders
          for viruses before packaging them (as a precaution).
        * The packaging scripts (package_*) no longer use verbose tar.
        * Fixed compilation of ld-tigcc constmrg.c with GCC 2.95/2.96.

- 2004-07-21, version 0.95 beta 13 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95
          Beta 13.
        * Updated ld-tigcc to 1.05.2 from TIGCC 0.95 Beta 13.
        * Updated GCC to 3.3.3-tigcc-4.
        * Updated GNU as to 2.14-tigcc-7.
        * Updated A68k to 2.71.F3r.
        * Fixed compilation of reorder.c with GCC 2.95/2.96 (again).

- 2004-06-22, version 0.95 beta 11 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.95 Beta 11.
        * Updated ld-tigcc to 1.05.1 from TIGCC 0.95 Beta 11.
        * Updated GCC to 3.3.3-tigcc-3.
        * Fixed output file handling in the command-line frontend.

- 2004-06-14, version 0.95 beta 10 r2 (Kevin Kofler)
        * Fixed omission of reorder.c in the ld-tigcc source code and the
          resulting omission of ld-tigcc and ar-tigcc in the binaries.
        * Fixed compilation of reorder.c with GCC 2.95/2.96.

- 2004-06-11, version 0.95 beta 10 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and the ExePack
          launchers to TIGCC 0.95 Beta 10.
        * Updated ld-tigcc to 1.05.
        * Updated tprbuilder to 1.0.11.
        * Added support for section reordering to the tigcc frontend.
        * OPTIMIZE_CALC_CONSTS now works with -mpcrel (patcher bugfix).

- 2004-04-27, version 0.95 beta 8 r1 (Kevin Kofler)
        * Updated TIGCCLIB documentation and includes to TIGCC 0.95 Beta 8.
        * Updated tprbuilder to 1.0.9. (Why did I miss this before?)
        * Added support for Flash OSes and fixed --clean in tprbuilder (1.0.10).

- 2004-04-15, version 0.95 beta 7 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95 Beta
          7.
        * Updated ld-tigcc to 1.04.
        * Updated GCC to 3.3.3-tigcc-2.
        * Using --stdout instead of 2>&1 in the installation scripts.
        * No longer using a temporary file in the installation scripts.
        * Binary tarballs no longer contain a "usr/local/tigcc" path.
        * Fixed all-reloc mode enabling in the tigcc frontend.
        * Adding --keep-locals/-d when return optimization is enabled or for -ar
          in the tigcc frontend, as in the Win32 Beta 7.
        * Added Flash OS upgrade support to the tigcc frontend.

- 2004-03-14, version 0.95 beta 6 r1 (Kevin Kofler)
        * Handle keyword disambiguators in chm2dcf.
        * Updated TIGCCLIB (libs, documentation and includes) to TIGCC 0.95 Beta
          6.
        * Updated GCC to 3.3.3-tigcc-1.
        * Updated ld-tigcc to 1.03.
        * Added support for Titanium ExePack.
        * Updated -freg-relative detection in the patcher to Beta 6 behavior.
        * The parser no longer crashes when passed an invalid line number by GCC
          (ported from the corresponding tigcc.exe bugfix in Beta 6).

- 2004-01-24, version 0.95 beta 5 r2 (Kevin Kofler)
        * Added envreg tool to write $TIGCC and $PATH settings into bashrc.
        * Added source installation wizard and binary installation wizard.

- 2004-01-12, version 0.95 beta 5 r1 (Kevin Kofler)
        * Updated some of the text documentation files.
        * Removed unneeded scripts/utils directory.
        * Filter out duplicate keyword entries in CHM to DCF converter.
        * Fixed unescaped quotes around "3.2.0" in DCF to ADP converter.
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.95 Beta 5.
        * Updated A68k to 2.71.F3q.
        * Updated GCC to 3.3.1-tigcc-pre26.
        * Now automatically deleting the temporary GCC/Binutils build directory.

- 2003-12-29, version 0.95 beta 4 r4 (Kevin Kofler)
        * Added DCF file for QT Assistant 3.1 to the documentation.
        * Added untested ADP file for QT Assistant 3.2 to the documentation.
        * Added shell script to launch QT Assistant 3.2 with the ADP file.

- 2003-12-25, version 0.95 beta 4 r3 (Kevin Kofler)
        * Fixed installation script typo reported by Christian Walther: the
          parser is now actually installed.
        * Now automatically creates $TIGCC if the directory doesn't exist yet.
        * Updated README.osX with current information from Christian Walther.

- 2003-12-24, version 0.95 beta 4 r2 (Kevin Kofler)
        * Rewrote parser in C.

- 2003-12-23, version 0.95 beta 4 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.95 Beta 4.
        * Updated the ExePack launcher (pstarter.o) with the one updated by
          Lionel Debroux, Sebastian Reichelt and me for TIGCC 0.95 Beta 4.
        * Updated ld-tigcc to 1.02.
        * Updated GCC to 3.3.1-tigcc-pre25.
        * Updated A68k to 2.71.F3p.
        * New build platform for the binaries (Fedora Core 1 instead of RedHat
          7.3, but using compat-gcc).

- 2003-10-19, version 0.95 beta 2 r1 (Kevin Kofler)
        * Updated A68k to 2.71.F3o.
        * Updated ld-tigcc to 1.01.
        * Updated GCC to 3.3.1-tigcc-pre22b.
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.95 Beta 2.
        * Updated patcher to match Win32 TIGCC 0.95 Beta 2 behavior.
        * Fixed handling of -S and -c without -o in the tigcc frontend.
        * Removed obsolete install.sh and clean.sh scripts.

- 2003-09-28, version 0.95 beta 1 r1 (Kevin Kofler)
        * Updated GCC to 3.3.1-tigcc-pre19 and Binutils to 2.14-tigcc-5.
        * The installation scripts now remove unneeded Binutils and GCC
          directories in step 1 (patching).
        * No longer building AmigaOS objcopy in step 2, we don't need it
          anymore.
        * Now installing GNU as by hand rather than using Binutils make install.
        * Other GCC and Binutils installation script cleanups.
        * Updated A68k to 2.71.F3n (NOT the messed-up 2.71.F3m in TIGCC 0.95
          Beta 1 for Windows, so the separate update is not needed here).
        * Unautoconfiscated A68k. The configure script only wasted build time,
          the results weren't even being used. Also removed the unmaintained
          manpage.
        * Replaced the obsolete obj2ti linker with the new TIGCC linker.
        * Removed support for tipatch.lib and tipatchmain.lib in the patcher.
        * Unautoconfiscated patcher.
        * Unautoconfiscated the TIGCC frontend. The configure script only
          wasted build time, the results weren't even being used. Also removed
          the unmaintained manpage.
        * Unautoconfiscated the TPRbuilder. Also removed the manpage, after
          merging its contents into README.
        * Updated patcher, TIGCC frontend and TPRbuilder to match Win32 TIGCC
          0.95 Beta 1 behavior.
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.95 Beta 1.
        * Updated the ExePack launcher (pstarter.o) with the one updated by
          Lionel Debroux, Sebastian Reichelt and me for TIGCC 0.95 Beta 1.

- 2003-09-18, version 0.94 SP4 r2 (Kevin Kofler)
        * A few bugfixes in the tigcc frontend by Nils Gesbert and myself.

- 2003-02-17, version 0.94 SP4 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 SP4.
        * Fixed handling of 4-digit error codes in the patcher.

- 2003-01-19, version 0.94 SP3 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 SP3.

- 2002-12-22, version 0.94 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 (release).
        * Updated GCC patch to 3.2.1-tigcc-2 as in the Win32 version of 0.94
          (release).
        * The Linux/x86 binary release now links libstdc++ statically into
          obj2ti for compatibility reasons.

- 2002-11-30, version 0.94 beta 22 r1 (Kevin Kofler)
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 beta 22.
        * Updated GCC to 3.2.1-tigcc-1 as in the Win32 beta 22.
        * Fixed a few bugs in the tigcc frontend.

- 2002-11-16, version 0.94 beta 21 r1 (Kevin Kofler)
        * NOTE: Beta 20 r1 was skipped because the Win32 beta 20 was immediately
                superceded by beta 21, which fixed 2 bugs in beta 20.
        * Updated some outdated Obj2Ti and tprbuilder documentation files.
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 beta 21.
        * Updated Binutils to 2.13.1 as in the Win32 betas 20/21.
        * (Hopefully) fixed tprbuilder compiling problem on IRIX reported by
          John David Ratliff (can't test).
        * (Hopefully) fixed obj2ti compiling problem on Darwin / OS X reported
          by James Longstreet (can't test).
        * (Hopefully) fixed A68k miscompilation (due to an invalid implicit
          declaration) on Darwin / OS X reported by Christian Walther (can't
          test).
        * tt/makelinux.sh now honors $CC and $CFLAGS settings. This should solve
          the problems some users had compiling the TIGCC Tools Suite on OS X.
          (Apple's gcc is called cc by default for some reason. Reported by
          Alfredo Aldundo.)
        * Fixed tigcc frontend bug which caused PPG launchers to sometimes be
          created with a double extension (.c.??z).
        * Updated tigcc frontend to reflect Win32 beta 20/21 changes:
          - support for the $TIGCC/include/s GNU assembly directory added. (That
            directory currently contains only a GNU as version of os.h.)
          - Now escaping arguments passed to GCC in order to allow -D switches
            with definitions containing spaces or other shell metacharacters.
        * Added README.osX with Darwin / OS X platform-specific building
          instructions.

- 2002-09-17, version 0.94 beta 19 r1 (Kevin Kofler)
        * Fixed issues in the install scripts on IRIX (a command line was
          exceeding the maximum length) and OS X (-v switch not recognized by
          Apple's cp, mv and rm - removed the -v switch).
        * Updated TIGCCLIB (libs, documentation and includes) and examples to
          TIGCC 0.94 beta 19.
        * Added tool to autogenerate os.h and doorsos.h (A68k include files)
          from TIGCCLIB documentation sources to the documentation sources
          (hsf2rc.tar.bz2, written by Loïc Yhuel and released under the GPL).
        * Updated GCC and Binutils (and the corresponding TIGCC patches) to GCC
          3.2 and Binutils 2.13 (TIGCC 0.94 beta 19).
        * Updated patcher to match TIGCC 0.94 beta 19 behavior (changed
          -freg-relative handling)
        * Updated tigcc frontend to match TIGCC 0.94 beta 19 behavior (added
          the missing -keep switch and the new -save-temps switch, fixed passing
          of -include and -x to GCC and of -8 and -9 to Obj2Ti, added the
          synonyms of the form "--switch" supported by the Windows version)
        * Added check to Install_All and Install_All_nopatch to make sure $TIGCC
          is defined when starting the installation. (WARNING: Do NOT set $TIGCC
          to / or /usr! Doing so WILL delete system files during installation.
          This is currently NOT detected by the installation script - it only
          checks whether it is set to something non-empty.)

- 2002-07-22, version 0.94 beta 18 r5 (Kevin Kofler)
        * Fixed a bug in the patcher, which was causing the tipatch.lib parts
          intended for the main .s file only to be added to all .s files.
        * Fixed various compilation problems on non-Linux systems.
        * Various Obj2Ti compile fixes (no longer needs Linux-specific endian.h
          header, should now compile with GCC 3.x).

- 2002-07-14, version 0.94 beta 18 r4 (Kevin Kofler)
        * Implemented a new "patcher" in C. This should add support for other
          platforms than Linux/x86. "tigcc -g" won't work on those platforms yet
          though. (The "parser" still needs to be ported.)
        * Removed unneeded directory m68k-coff from the binary distribution.

- 2002-07-07, version 0.94 beta 18 r3 (Kevin Kofler)
        * Added support for _nostub DLLs.
        * Added support for Zeljko Juric's Quill Adventure Writer.
        * Removed unneded empty subdirectories in $TIGCC/lib.

- 2002-07-06, version 0.94 beta 18 r2 (Kevin Kofler)
        * A few fixes in the scripts used to compile and install from sources.
        * Fixed the problems with our stripped-down GCC and Binutils sources.
        * Removed GCC info documentation, because it cannot be built from the
          stripped-down sources and because it is redundant with our HTML
          documentation anyway.
        * Removed Binutils info documentation and most Binutils manfiles,
          because they cannot be built from the stripped-down sources and
          because they are either redundant with our HTML documentation or
          documenting tools which are not intended for direct use in TIGCC.
        * Do not automatically symlink the manfiles into /usr/man/man1 when
          installing from source. TIGCC should not clutter system directories
          (but install all its files into $TIGCC). Moreover, the source and
          binary installs should install the same files.

- 2002-06-29, version 0.94 beta 18 r1 (first release by Kevin Kofler)
        * Updated all tools once again. They should now be the same as in TIGCC
          0.94 beta 18 for Windows.
        * Fixed static library support (-ar switch to create static libraries in
          the tigcc frontend, linking with static libraries in tprbuilder)
        * Fixed a few bugs in tprbuilder.

Previous versions by Romain Liévin:

Shortcuts:
SR: Sebastian Reichelt <Sebastian@tigcc.ticalc.org>
JM: Julien Muchembled <jm@netcourrier.com>
KK: Kevin Kofler <Kevin@tigcc.ticalc.org>

- 27/05/2002, version 1.3.4: [??
        Upgraded.
        Added a verbosity level to tprbuilder (for making tigcc verbose).

- 19/05/2002, version 1.3.3: [May 16, 2002: TIGCC v0.94 Beta 16, Obj2TI v1.01c, Library v2.5, IDE v2.91]
        Upgraded the following stuffs:
        - TIGCC: gcc 3.1, binutils 2.12, html doc, includes, archive & patch,
                examples
        - TIGCC tools: v1.25
        - obj2ti: 1.01c
        - a68k: 2.71.F3i

- 29/03/2002, version 1.3.2: [March ??, 2002: TIGCC v0.94 Beta 8, Obj2TI v1.01, Library v2.5, IDE v2.9]
        Upgraded to v0.94 Beta 8 (gcc-3.0.4, html doc, examples, tigcclib,
        archive).
        Moved pstarter.o, tigcc.a, tipatch.lib to $TIGCC/lib: done !

- 23/03/2002, version 1.3.1:
        Html doc updated from Win32 CHM files.
        Bug fix in tigcc (packing without extension).

- 20/03/2002, version 1.3.0:
        Problems reported by KK:
        - tprbuilder does not build project which include archives files
        - added a link from include/asm/os.h to OS.h (thanks to KK).
        Compilation of multiple files in project was wrong with tprbuilder and
        long filenames was not removed with --clean.
        Fixed a problem with tigcc: obj2ti & long filenames.

- 10/03/2002, version 1.2.9: [February 3, 2002: TIGCC v0.93 Beta, Obj2TI v1.01, Library v2.41, IDE v2.9]
        Upgraded to v0.93.
        Doc to update.
        Officially released on ticalc.org.


- 06/03/2002, version 1.2.8:
        - SR has done some modifications on the Windows source code.
        - I have developed a TIGCC Project Builder for building .tpr files.
        - all the tools can use long filenames (such as 'Hello World').

- 22/02/2002, version 1.2.7: [November 25, 2001: TIGCC v0.92 Beta SP2, Obj2TI v1.01, Library v2.4 SP1, IDE v2.8 SP4]
        TiLP is finished, I can work on TIGCC/UNIX at full time now !
        I am also working in relation wtih K. Kofler for some stuffs.

        A lot of changes:
        - A68k: upgraded to 2.71.F3i:
        - Obj2ti: upgraded
        - Binutils: upgraded to 2.11.2 (m68k-opc.c et write.c patched)
        - Binutils-GeekGadgets: added (not yet)
        - Gcc: upgraded to 3.0.2
        - TIGCC tools: upgraded
        - TIGCC lib: upgraded
        - binutils & gcc are compiled with the following flags:
                ./configure --disable-nls --disable-multilib
                make CFLAGS='-Os -s' -> reduce size & strip executable
        - tigcc front-end updated & improved (supports pathcing and debug)
        - I have modified and recompiled some parts of TiGcc with Kylix for
        building a temporary patcher (patcher) and a temporary parser (parser).

-----

- 23/12/2001, version 1.2.6: (official release)
        No core programs have been updated (same linker and libraries than
        TIGCC/Win32). Only few improvements have been done.
        Scrips have been put together in the scripts directory. Most of them
        have been removed or cleaned up.

        John David Ratlif has worked on the 1.2.0 release for developing
        a TIGCC/Unix package. I have merged his modifications and docs.
        He has also written from scratch a tigcc front-end which is better
        than the front-end I have written so I kept it.

- 03/09/2001, version 1.2.5:
        Tested the main installer script ('install_all'): OK.
        Things to do: apply tipatch.lib & tipatchmain.lib

- 02/09/2001, version 1.2.4:
        I have done some snapshots of binutils-2.9.1, binutils-2.11.2,
        gcc-2.95.2 and gcc-3.0 installation tree.
        I migrated to gcc-3.0. All works fine (tested with examples &
        ExtGraph library & demos).

- 01/09/2001, version 1.2.3:
        SR sent to me the latest tigcclib headers with patch.
        These headers are gcc3.0 compliant (one line per asm statement).

- 31/09/2001, version 1.2.2:
        I have tested migration from gcc-2.95.2 to gcc-3.0. Not finalized yet.

- 29/08/2001, version 1.2.1:
        The JM's linker (obj2ti) have been fixed (crashes when linking
        pstarter.o).

- 23/08/2001, version 1.2.0: (official release)
        This release has been extensively tested with
        several apps: TIGCC Tools Suite, ExtGraph lib & demos, TIGCC examples,
        some other programs.

- 22/08/2001, version 1.1.6:
        tigcc front-end finished.
        Added links so that anyone can read manpages.

- 21/08/2001, version 1.1.6:
        I have written a TIGCC front-end for Linux.
        Should be equivalent to the tigcc.exe of Windows which has been 
        written in Delphi by Sebastian Reichelt.

- 20/08/2001, version 1.1.5:
        I have recompiled some TT programs (ebook, tthex, ...) for testing
        tigcc. They works fine. Nethertheless, they are big (11173 bytes
        instead of 7549 bytes for ebook).

- 19/08/2001, version 1.1.4:
        Latest version of the files needed for building tigcc.a. In fact,
        the Win32 pack had some missing files.
        Modified Makefile of the /examples directory for using Exe Pack
        technology.
        SR mail: he is working on TIGCC based on gcc v3.0.

- 18/08/2001, version 1.1.3:
        Latest release (v0.99.1) of the TIGCC Tools Suite have been included
        with the ebook patch.
        I have also written a small documentation on the development of
        apps with the common Linux tools.

- 16/08/2001, version 1.1.2:
        I have applied the 'tipatch.lib' patch to the headers provided with the
        IDE (I used those provided with tigcclib which were older).
        All works fine now.
        Maybe, I will do a parser and/or a 'tigcc' program.

- 16/08/2001, version 1.1.1:
        Included the latest release of a68k (2.71.F3e)

- 09/08/2001, version 1.1.0: (official release)
        Official release.

- 28/07/2001, version 1.0.9:
        I have integrated the latest a68k assembler (fixed by Kevin Kofler).
        All scripts work fine now.
        I have reduced the size of the binary package.

- 25/07/2001, version 1.0.8:
        I have completed the 'launch.gcc' script for installing gcc files.
        I have added the TiGCC Tools Suite.

- 22/07/2001, version 1.0.7:
        I have applied the JM TIGCC patch. It seems to work but with TIGCCLib
        headers.
        Unfortunately, it works but not completely that is to say it stops
        when he has finished but too early. Si, it is impossible to do a
        'make install'.

- 15/07/2001, version 1.0.6:
        The GrayTst example links now (partial linking with tigcc.a through
        ld and next, final linking with l68k).
        I have packaged and added the Julien Muchembled's linker to
        TIGCC/Linux. It seems to not work (but my gcc is not completely
        patched yet).
        Latest version of headers (it seems that TIGCC/Win32 headers are more
        recent than TIGCCLib ones).

- 13/07/2001, version 1.0.5:
        I have noticed that the compilation phase produced very big binaries.
        JB suggest me to use 'strip' and it works. File size is divided by a 
        4:1 ratio !!!

- 12/07/2001, version 1.0.4:
        The linker has been modified for accepting long filenames and in
        order to be conform with the UNIX cmd line standard.
        Letter sensitivity is now fixed but long filenames are still rejected.
        To fix...
        A new directory has been added: archive. This directory contains
        source code of the tigcc.a archive.

- 11/07/2001, version 1.0.3:
        The linker has been updated from v1.0.1 to v1.2

- 02/07/2001, version 1.0.2:
        I (Romain Lievin) have taken over the development of TIGCC/Linux.
        TiGCC has been recompiled with binutils-2.10.1. The original binutils
        did not compile properly.
        The original tree has been reshaped.
        Installation procedure has been improved thanks to some scripts
        The assembler and the linker have been properly packaged with
        Automake/Autoconf.
        The tigcc-lib has been added to the package.        
        Examples from TIGCC-Win32 SDK added.
        The doc has been updated.

- ??, version 1.0.1:
        Same version numbering as Linux kernel. Added the previously
        forgotten a68k. And updated documentation for information about
        a68k's copyright.

- ??, version 1.0.0:
        First public version.
